KRecentDocument

KDE 4.2 PyKDE API Reference

- KDE's Python API

# KRecentDocument Class Reference

`from PyKDE4.kio import *`

## Detailed Description

Manage the "Recent Document Menu" entries displayed by applications such as Kicker and Konqueror.

These entries are automatically generated .desktop files pointing to the current application and document. You should call the static add() method whenever the user opens or saves a new document if you want it to show up in the menu.

You don't have to worry about this if you are using any KFileDialog derived class to open and save documents, as it already calls this class. User defined limits on the maximum number of documents to save, etc... are all automatically handled.

Author:
  Daniel M. Duley <mosfet@kde.org>

## Static Methods
| add (KUrl url)
| add (KUrl url, QString desktopEntryName)
| add (QString documentStr, bool isURL=0)
| clear ()
int | maximumItems ()
QString | recentDocumentDirectory ()
QStringList | recentDocuments ()

## Method Documentation

add | ( | KUrl | url
| ) |  |  |

Add a new item to the Recent Document menu.

Parameters:

  | url | The url to add.

add | ( | KUrl | url,
|  | QString | desktopEntryName
| ) |  |  |

Add a new item to the Recent Document menu, specifying the application to open it with. The above add() method uses KGlobal.mainComponent().componentName() for the app name, which isn't always flexible enough. This method is used when an application launches another one to open a document.

Parameters:

  | url | The url to add.
  | desktopEntryName | The desktopEntryName of the service to use for opening this document.

add | ( | QString | documentStr,
|  | bool | isURL=0
| ) |  |  |

Add a new item to the Recent Document menu. Calls add( url ).

Parameters:

  | documentStr | The full path to the document or URL to add.
  | isURL | Set to true if documentStr is an URL and not a local file path.

clear | ( |  | ) |

Clear the recent document menu of all entries.

int maximumItems | ( |  | ) |

Returns the maximum amount of recent document entries allowed.

QString recentDocumentDirectory | ( |  | ) |

Returns the path to the directory where recent document .desktop files are stored.

QStringList recentDocuments | ( |  | ) |

Return a list of absolute paths to recent document .desktop files, sorted by date.